{
  "name": "@sy/y-code-platform",
  "version": "1.0.0-alpha.1",
  "private": true,
  "author": {
    "name": "wangxuefeng",
    "email": "wangxuefeng@shiyue.com"
  },
  "type": "module",
  "scripts": {
    "build": "vite build --mode production",
    "build:analyze": "vite build --mode analyze",
    "build:staging": "vite build --mode staging",
    "dev": "vite --mode development",
    "dev:staging": "vite --mode dev-staging",
    "dev:prod": "vite --mode dev-production",
    "preview": "vite preview",
    "typecheck": "vue-tsc --noEmit --skipLibCheck"
  },
  "imports": {
    "#/*": "./src/*"
  },
  "dependencies": {
    "@sy/unified-login": "1.0.29",
    "@sy/vue3-renderer-adapter": "workspace:*",
    "@sy/web-vitals": "workspace:*",
    "@sy/wujie-vue3-renderer-adapter": "workspace:*",
    "@vben/access": "workspace:*",
    "@vben/common-ui": "workspace:*",
    "@vben/constants": "workspace:*",
    "@vben/hooks": "workspace:*",
    "@vben/icons": "workspace:*",
    "@vben/layouts": "workspace:*",
    "@vben/locales": "workspace:*",
    "@vben/plugins": "workspace:*",
    "@vben/preferences": "workspace:*",
    "@vben/request": "workspace:*",
    "@vben/stores": "workspace:*",
    "@vben/styles": "workspace:*",
    "@vben/types": "workspace:*",
    "@vben/utils": "workspace:*",
    "@vueuse/core": "catalog:",
    "axios": "catalog:",
    "dayjs": "catalog:",
    "element-plus": "catalog:",
    "pinia": "catalog:",
    "postmate": "1.5.2",
    "vue": "catalog:",
    "vue-router": "catalog:",
    "wujie-vue3": "catalog:"
  },
  "devDependencies": {
    "@types/postmate": "catalog:",
    "unplugin-element-plus": "catalog:",
    "vite-plugin-mkcert": "catalog:"
  }
}
